summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorVlastimil Babka <caster@gentoo.org>2010-04-29 08:40:29 +0000
committerVlastimil Babka <caster@gentoo.org>2010-04-29 08:40:29 +0000
commitb9863c793e3b6b8869c5c7da6699304b11d7cd25 (patch)
tree3df1dfa7bdc6b47bdb1db81c029a00d3ca98cfcf /eclass
parentMigrate to qt4-r2 eclass wrt bug #311481 (diff)
downloadhistorical-b9863c793e3b6b8869c5c7da6699304b11d7cd25.tar.gz
historical-b9863c793e3b6b8869c5c7da6699304b11d7cd25.tar.bz2
historical-b9863c793e3b6b8869c5c7da6699304b11d7cd25.zip
Skip the src_configure of java-ant-2.eclass when java-pkg-opt-2 is inherited and java USE flag is disabled, to prevent bugs like #317673.
Diffstat (limited to 'eclass')
-rw-r--r--eclass/java-ant-2.eclass7
1 files changed, 6 insertions, 1 deletions
diff --git a/eclass/java-ant-2.eclass b/eclass/java-ant-2.eclass
index a8be8b4f57e9..814091006df7 100644
--- a/eclass/java-ant-2.eclass
+++ b/eclass/java-ant-2.eclass
@@ -14,7 +14,7 @@
#
# Licensed under the GNU General Public License, v2
#
-# $Header: /var/cvsroot/gentoo-x86/eclass/java-ant-2.eclass,v 1.48 2010/02/12 23:51:44 caster Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/java-ant-2.eclass,v 1.49 2010/04/29 08:40:29 caster Exp $
inherit java-utils-2
@@ -143,6 +143,11 @@ esac
# src_configure rewrites the build.xml files
# ------------------------------------------------------------------------------
java-ant-2_src_configure() {
+ # if java support is optional, don't perform this when the USE flag is off
+ if hasq java-pkg-opt-2 ${INHERITED}; then
+ use ${JAVA_PKG_OPT_USE} || return
+ fi
+
# eant will call us unless called by Portage
[[ -e "${T}/java-ant-2_src_configure-run" ]] && return